IF NOT EXISTS (SELECT * FROM SYS.columns C WHERE C.NAME = 'FLAG_DIAS_ACIMA_EMAX' AND OBJECT_ID = OBJECT_ID('EST_EXCESSO_MAQ'))
	BEGIN
		ALTER TABLE EST_EXCESSO_MAQ ADD FLAG_DIAS_ACIMA_EMAX INT 
		ALTER TABLE EST_EXCESSO_MAQ ADD CONSTRAINT DF_EST_EXCESSO_MAQ_FLAG_DIAS_ACIMA_EMAX DEFAULT 0 FOR FLAG_DIAS_ACIMA_EMAX
		UPDATE EST_EXCESSO_MAQ SET FLAG_DIAS_ACIMA_EMAX = 0 WHERE FLAG_DIAS_ACIMA_EMAX IS NULL
	END 

GO

IF EXISTS (SELECT * FROM SYS.columns C WHERE C.NAME = 'FLAG_DIAS_ACIMA_EMAX' AND OBJECT_ID = OBJECT_ID('EST_EXCESSO_MAQ'))	
	BEGIN 
		UPDATE EST_EXCESSO_MAQ SET 
				FLAG_DIAS_ACIMA_EMAX = 1
		WHERE 
			ISNULL(DIAS_ACIMA_EMAX,0) > 0									   
	END 
			
